<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: File List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_a5212ee8b6a8d592d027941e58e3651c.html" target="_self">queue</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_821be63df25109e5eb77dd0f2b80706a.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span id="img_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_')">&#160;</span><a class="el" href="dir_e311e002a24b0cb5a76159e0ee0c544b.html" target="_self">queue</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="queue_2src_2queue_2fwd_8h_source.html"><span class="icondoc"></span></a><a class="el" href="queue_2src_2queue_2fwd_8h.html" target="_self">fwd.h</a></td><td class="desc">This file contains forward declaration for the queue </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="queue_8c.html" target="_self">queue.c</a></td><td class="desc">This file contains implementation of uint32_t queue </td></tr>
<tr id="row_0_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="queue_8h_source.html"><span class="icondoc"></span></a><a class="el" href="queue_8h.html" target="_self">queue.h</a></td><td class="desc">This file contains declaration of queue </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span id="img_1_" class="iconfopen" onclick="toggleFolder('1_')">&#160;</span><a class="el" href="dir_ab51a11a65415835ab0b627ec1ba1885.html" target="_self">stack</a></td><td class="desc"></td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span id="img_1_0_" class="iconfopen" onclick="toggleFolder('1_0_')">&#160;</span><a class="el" href="dir_61f884239e7b9d662572355c29328680.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_1_0_0_" class="arrow" onclick="toggleFolder('1_0_0_')">&#9660;</span><span id="img_1_0_0_" class="iconfopen" onclick="toggleFolder('1_0_0_')">&#160;</span><a class="el" href="dir_7f90c3d965de0e82fe4c04904f65e6da.html" target="_self">stack</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="stack_2src_2stack_2private_8h_source.html"><span class="icondoc"></span></a><a class="el" href="stack_2src_2stack_2private_8h.html" target="_self">private.h</a></td><td class="desc">This file contains private declaration of stack </td></tr>
<tr id="row_1_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="stack_8c.html" target="_self">stack.c</a></td><td class="desc">This file contains implementation of uint32_t stack </td></tr>
<tr id="row_1_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="stack_8h_source.html"><span class="icondoc"></span></a><a class="el" href="stack_8h.html" target="_self">stack.h</a></td><td class="desc">This file contains declaration of stack </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span id="img_2_" class="iconfopen" onclick="toggleFolder('2_')">&#160;</span><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html" target="_self">student</a></td><td class="desc"></td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="application_8h_source.html"><span class="icondoc"></span></a><b>application.h</b></td><td class="desc"></td></tr>
<tr id="row_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="bunny_8c.html" target="_self">bunny.c</a></td><td class="desc">This file contains model of Standford bunny in static arrays </td></tr>
<tr id="row_2_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="bunny_8h_source.html"><span class="icondoc"></span></a><a class="el" href="bunny_8h.html" target="_self">bunny.h</a></td><td class="desc">This file contains model of Standford bunny in static arrays </td></tr>
<tr id="row_2_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="callbackAndData_8h_source.html"><span class="icondoc"></span></a><b>callbackAndData.h</b></td><td class="desc"></td></tr>
<tr id="row_2_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="camera_8c.html" target="_self">camera.c</a></td><td class="desc">This file contains implementation of orbit camera manipulator </td></tr>
<tr id="row_2_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="camera_8h_source.html"><span class="icondoc"></span></a><a class="el" href="camera_8h.html" target="_self">camera.h</a></td><td class="desc">This file contains function declarations for orbit camera manipulator </td></tr>
<tr id="row_2_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="cpu_8c.html" target="_self">cpu.c</a></td><td class="desc">This file contains implementation of API for controlling software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> </td></tr>
<tr id="row_2_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="cpu_8h_source.html"><span class="icondoc"></span></a><a class="el" href="cpu_8h.html" target="_self">cpu.h</a></td><td class="desc">This file contains declarations of API for controling of software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a>. API contains: functions for <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> buffer management functions for Vertex Pullers management functions for Shader Programs management functions for drawing, clearing framebuffer and setting <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> state </td></tr>
<tr id="row_2_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="emptyMethod_8h_source.html"><span class="icondoc"></span></a><b>emptyMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="student_2fwd_8h_source.html"><span class="icondoc"></span></a><a class="el" href="student_2fwd_8h.html" target="_self">fwd.h</a></td><td class="desc">This file contains forward declarations and constants </td></tr>
<tr id="row_2_10_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="globals_8c.html" target="_self">globals.c</a></td><td class="desc">This file contains global variables </td></tr>
<tr id="row_2_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="globals_8h_source.html"><span class="icondoc"></span></a><a class="el" href="globals_8h.html" target="_self">globals.h</a></td><td class="desc">This file contains global variables </td></tr>
<tr id="row_2_12_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="gpu_8c.html" target="_self">gpu.c</a></td><td class="desc">This file contains implementation of software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> HW </td></tr>
<tr id="row_2_13_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="gpu_8h_source.html"><span class="icondoc"></span></a><a class="el" href="gpu_8h.html" target="_self">gpu.h</a></td><td class="desc">This file contains structures and function declarations of <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> HW. Main structure is <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> that holds all components of the <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a>. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> is composed of list of buffers, list of vertex pullers and list of programs. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> also contains framebuffer, active program and vertex puller and states. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> executes commands that are stored in CommandQueue </td></tr>
<tr id="row_2_14_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="linearAlgebra_8c.html" target="_self">linearAlgebra.c</a></td><td class="desc">This file contains implementation of useful linear algebra operations </td></tr>
<tr id="row_2_15_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="linearAlgebra_8h_source.html"><span class="icondoc"></span></a><a class="el" href="linearAlgebra_8h.html" target="_self">linearAlgebra.h</a></td><td class="desc">This file contains structures and function declarations useful for linear algebra </td></tr>
<tr id="row_2_16_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="method_8h_source.html"><span class="icondoc"></span></a><b>method.h</b></td><td class="desc"></td></tr>
<tr id="row_2_17_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="parseArguments_8h_source.html"><span class="icondoc"></span></a><b>parseArguments.h</b></td><td class="desc"></td></tr>
<tr id="row_2_18_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="phongMethod_8h_source.html"><span class="icondoc"></span></a><b>phongMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_19_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="pointBoxMethod_8h_source.html"><span class="icondoc"></span></a><b>pointBoxMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_20_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="pointCircleMethod_8h_source.html"><span class="icondoc"></span></a><b>pointCircleMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_21_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="pointMethod_8h_source.html"><span class="icondoc"></span></a><b>pointMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_22_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="pointSquareMethod_8h_source.html"><span class="icondoc"></span></a><b>pointSquareMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_23_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="structures_8h_source.html"><span class="icondoc"></span></a><b>structures.h</b></td><td class="desc"></td></tr>
<tr id="row_2_24_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="triangle3DMethod_8h_source.html"><span class="icondoc"></span></a><b>triangle3DMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_25_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="triangleMethod_8h_source.html"><span class="icondoc"></span></a><b>triangleMethod.h</b></td><td class="desc"></td></tr>
<tr id="row_2_26_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="window_8h_source.html"><span class="icondoc"></span></a><b>window.h</b></td><td class="desc"></td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span id="img_3_" class="iconfopen" onclick="toggleFolder('3_')">&#160;</span><a class="el" href="dir_1fe2e3f40887fbec9fd2493c34e7d145.html" target="_self">vector</a></td><td class="desc"></td></tr>
<tr id="row_3_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_0_" class="arrow" onclick="toggleFolder('3_0_')">&#9660;</span><span id="img_3_0_" class="iconfopen" onclick="toggleFolder('3_0_')">&#160;</span><a class="el" href="dir_5c60f3e8c3954d5c5c5ecd5ca790863c.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_3_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_0_0_" class="arrow" onclick="toggleFolder('3_0_0_')">&#9660;</span><span id="img_3_0_0_" class="iconfopen" onclick="toggleFolder('3_0_0_')">&#160;</span><a class="el" href="dir_5af946dc53da9c500339702c4e564dc7.html" target="_self">vector</a></td><td class="desc"></td></tr>
<tr id="row_3_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="vector_2src_2vector_2private_8h_source.html"><span class="icondoc"></span></a><a class="el" href="vector_2src_2vector_2private_8h.html" target="_self">private.h</a></td><td class="desc">This file contains private declaration of vector </td></tr>
<tr id="row_3_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="vector_8c.html" target="_self">vector.c</a></td><td class="desc">This file contains implementation of uint32_t vector </td></tr>
<tr id="row_3_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="vector_8h_source.html"><span class="icondoc"></span></a><a class="el" href="vector_8h.html" target="_self">vector.h</a></td><td class="desc">This file contains declaration of vector </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
